package com.ruoyi.nanjing.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

public class QsProduct extends BaseEntity {
    private static final long serialVersionUID = 1L;

    @Excel(name = "机种类型")
    private String productTp;
    @Excel(name = "投入量")
    private String inputNum;
    @Excel(name = "合格品")
    private String okNum;
    @Excel(name = "不合格品")
    private String noNum;
    @Excel(name = "异常")
    private String ero;
    @Excel(name = "综合合格率")
    private String allRate;

    private Date beginTime;
    private Date endTime;

    private String productType;

    //工位合格率统计
    private String productId;
    private String stationId;

    public String getProductTp() {
        return productTp;
    }

    public void setProductTp(String productTp) {
        this.productTp = productTp;
    }

    public String getInputNum() {
        return inputNum;
    }

    public void setInputNum(String inputNum) {
        this.inputNum = inputNum;
    }

    public String getOkNum() {
        return okNum;
    }

    public void setOkNum(String okNum) {
        this.okNum = okNum;
    }

    public String getNoNum() {
        return noNum;
    }

    public void setNoNum(String noNum) {
        this.noNum = noNum;
    }

    public String getEro() {
        return ero;
    }

    public void setEro(String ero) {
        this.ero = ero;
    }

    public String getAllRate() {
        return allRate;
    }

    public void setAllRate(String allRate) {
        this.allRate = allRate;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }
}
